# Uses of Class
com.logicaldoc.core.security.authentication.PasswordWeakException

Packages that use PasswordWeakException
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of PasswordWeakException in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that throw PasswordWeakException
Modifier and Type
Method
Description
`void`
HibernateUserDAO.`checkPasswordCompliance(User user)`
`void`
UserDAO.`checkPasswordCompliance(User user)`
Checks if the user's password complies the current quality criteria